MSVSSCHECKOUT (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.vss.MSVSSCHECKOUT class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSCHECKOUT

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                  org.apache.tools.ant.taskdefs.optional.vss.MSVSSCHECKOUT

public class MSVSSCHECKOUT
extends MSVSS

Performs CheckOut commands to Microsoft Visual SourceSafe.

If you specify two or more attributes from version, date and label only one will be used in the order version, date, label.

Author:
  Martin Poeschl

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_LOGIN, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, VALUE_NO, VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MSVSSCHECKOUT()`

Method Summary
`void` | `execute()` Executes the task.
`void` | `getAutoresponse(Commandline cmd)` Checks the value set for the autoResponse.
`void` | `getLocalpathCommand(Commandline cmd)` Builds and returns the -GL flag command if required.
`void` | `getRecursiveCommand(Commandline cmd)`
`void` | `getVersionCommand(Commandline cmd)` Simple order of priority.
`void` | `setAutoresponse(java.lang.String response)` What to respond with (sets the -I option).
`void` | `setDate(java.lang.String date)` Set the date to get; optional, only one of `version`, `label`, or `date` allowed.
`void` | `setLabel(java.lang.String label)` Set the label to get; optional, only one of `version`, `label`, or `date` allowed.
`void` | `setLocalpath(Path localPath)` Set the local path.
`void` | `setRecursive(boolean recursive)` Flag to tell the task to recurse down the tree; optional, default false.
`void` | `setVersion(java.lang.String version)` Set the version to get; optional, only one of `version`, `label`, or `date` allowed.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`getLoginCommand, getSSCommand, getVsspath, run, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSVSSCHECKOUT

    public MSVSSCHECKOUT()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute ss and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setLocalpath

    public void setLocalpath(Path localPath)

  Set the local path.

### getLocalpathCommand

    public void getLocalpathCommand(Commandline cmd)

  Builds and returns the -GL flag command if required.

  The localpath is created if it didn't exist

### setRecursive

    public void setRecursive(boolean recursive)

  Flag to tell the task to recurse down the tree; optional, default false.

### getRecursiveCommand

    public void getRecursiveCommand(Commandline cmd)

  Returns:
    the 'recursive' command if the attribute was 'true', otherwise an empty string

### setVersion

    public void setVersion(java.lang.String version)

  Set the version to get; optional, only one of `version`, `label`, or `date` allowed.

### setDate

    public void setDate(java.lang.String date)

  Set the date to get; optional, only one of `version`, `label`, or `date` allowed.

### setLabel

    public void setLabel(java.lang.String label)

  Set the label to get; optional, only one of `version`, `label`, or `date` allowed.

### getVersionCommand

    public void getVersionCommand(Commandline cmd)

  Simple order of priority. Returns the first specified of version, date, label If none of these was specified returns ""

### setAutoresponse

    public void setAutoresponse(java.lang.String response)

  What to respond with (sets the -I option). By default, -I- is used; values of Y or N will be appended to this.

### getAutoresponse

    public void getAutoresponse(Commandline cmd)

  Checks the value set for the autoResponse. if it equals "Y" then we return -I-Y if it equals "N" then we return -I-N otherwise we return -I

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.